Bug 1271012 - touching screen only changes cursor position
touching screen only changes cursor position
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput (Show other bugs)
22
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 19:38 EDT by Kiryl Hakhovich
Modified: 2015-10-14 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 23:43:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiryl Hakhovich 2015-10-12 19:38:37 EDT
Description of problem:

Touch Screen in FC22 is basically not working. Touching screen anywhere and cursor get there, second touch and cursor simply disappear, however system seems still track position correctly ( if i click button on the mouse - cursor become visible at the position of the screen where i touched my finger last ).

If I have two windows open next to each other - touching screen with finger does not change focus between windows. I cannot open any menu of any window and etc.

On the other hand - if i open Activities via moving mouse to top left corner - then touching screen i see focus being changed properly where i touch - but i cannot activate any window.


   
Version-Release number of selected component (if applicable):
libevent-2.0.21-6.fc22.x86_64
xorg-x11-drv-libinput-0.14.0-1.fc22.x86_64

[root@localhost ~]# evemu-describe 
Available devices:
/dev/input/event0:	Power Button
/dev/input/event1:	Power Button
/dev/input/event2:	Elo TouchSystems Optical Touchscreen 02.04.77.02.
/dev/input/event3:	Elo TouchSystems Optical Touchscreen 02.04.77.02.
/dev/input/event4:	Elo TouchSystems Optical Touchscreen 02.04.77.02.

How reproducible:

Fresh install FC 22 on ELO TouchSystem, all updates applied. Reproducible always.

Is there any additional information i can provide to help investigate this ?
Comment 1 Peter Hutterer 2015-10-13 02:27:55 EDT
pls record a touch sequence with evemu-record and attach the output here, thanks.
Comment 2 Kiryl Hakhovich 2015-10-13 23:43:02 EDT
Peter,

I will have to apologize and close this bug.

Turned out - ELO controller was misconfigured and the only way to re-configure properly   is to use windows + crystalTouch Manager software from vendor.

After all this, touch working as expected under linux.

Not sure if this was a factory mistake or something else, but i have not encounter this in the past year out of 10 ELO devices of the same model i had to configure.

Thanks for your prompt attention.
Comment 3 Peter Hutterer 2015-10-14 01:43:26 EDT
no worries, thanks for following up on it

Note You need to log in before you can comment on or make changes to this bug.